Create a wallet transaction
curl --request POST \
--url https://api.example.com/wallets/transactions \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1000,
"description": "a credit action",
"type": "credit",
"wallet_id": "7da75a46-a1bc-11ee-9a32-560f156a658b"
}
'import requests
url = "https://api.example.com/wallets/transactions"
payload = {
"amount": 1000,
"description": "a credit action",
"type": "credit",
"wallet_id": "7da75a46-a1bc-11ee-9a32-560f156a658b"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1000,
description: 'a credit action',
type: 'credit',
wallet_id: '7da75a46-a1bc-11ee-9a32-560f156a658b'
})
};
fetch('https://api.example.com/wallets/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": "c2f9e33c-7f28-402b-974f-493546f11f2b",
"amount": {
"amount": 1000,
"currency": "USD"
},
"correlation_id": "9f7d3278-71f4-44b0-968d-99ef6c0e983d",
"created_at": "2025-08-08T11:17:34Z",
"customer_id": "0997de13-834c-4cc5-88ca-ca321730c938",
"description": "Id consequatur distinctio et!",
"destination": null,
"error": null,
"fee": {
"amount": 0,
"currency": "USD"
},
"id": "48160506-2dbb-4f7d-ab2f-09af335aca1d",
"metadata": {},
"reference": null,
"source": null,
"type": "credit",
"updated_at": "2025-08-08T11:17:34Z",
"wallet_id": "c4f43392-1438-4ab4-8d85-5327f34ca238"
}
}{}wallets
Create a wallet transaction
POST
/
wallets
/
transactions
Create a wallet transaction
Body
application/json
Transaction params
Response
Transaction
Response schema for a transaction
Transaction details
Show child attributes
Show child attributes
Example:
{
"account_id": "c2f9e33c-7f28-402b-974f-493546f11f2b",
"amount": { "amount": 1000, "currency": "USD" },
"correlation_id": "9f7d3278-71f4-44b0-968d-99ef6c0e983d",
"created_at": "2025-08-08T11:17:34Z",
"customer_id": "0997de13-834c-4cc5-88ca-ca321730c938",
"description": "Id consequatur distinctio et!",
"destination": null,
"error": null,
"fee": { "amount": 0, "currency": "USD" },
"id": "48160506-2dbb-4f7d-ab2f-09af335aca1d",
"metadata": {},
"reference": null,
"source": null,
"type": "credit",
"updated_at": "2025-08-08T11:17:34Z",
"wallet_id": "c4f43392-1438-4ab4-8d85-5327f34ca238"
}
⌘I